import { ModalController } from "@ionic/angular/standalone";
import { FmodeChatCompletion } from "fmode-ng";
import { getUserInput } from "src/agent/agent.input";
import { AgentTaskStep } from "src/agent/agent.task";

export function TaskPoemPicutreDesc(options:{modalCtrl:ModalController,shareData:any}){
    let task1=new AgentTaskStep({title:"意境分析",shareData:options.shareData});
    task1.handle=async()=>{
      //获取用户输入的诗词
      let userInput=await getUserInput(options.modalCtrl,{filedsArray:[{name:"诗文内容",type:"text",desc:"诗文内容"}]});
      console.log("已获取用户输入：",userInput)
      console.log("已获取诗文内容：",userInput.poem)

    // 文本生成
    let PromptTemplate = `您是一名专业的美术画家，请您根据古诗文的内容，将其描述的画面、场景、人物、物品等用最简短的语言表达，直接写出画面，并且以中国的古风意境为主
    诗文如下：${userInput.poem}`
    let completion = new FmodeChatCompletion([
      {role:"system",content:""},
      {role:"user",content:PromptTemplate}
    ])
    completion.sendCompletion().subscribe((message:any)=>{
      // 打印消息体
      console.log(message.content)
      // 赋值消息内容给组件内属性
      options.shareData.PictureDescResult = message.content
      if(message?.complete){ // 判断message为完成状态，则设置isComplete为完成
        task1.progress=1
      }
    })
      // await this.wait(1000);
      // console.log("意境分析：执行过程");
      // task1.progress=1
      return task1;
    }
}